org.eclipse.rdf4j.repository.event

## Interface RepositoryConnectionInterceptor

- All Known Implementing Classes:
    RepositoryConnectionInterceptorAdapter

      public interface RepositoryConnectionInterceptor

  Interceptor interface for connection modification.
  Author:
    Herko ter Horst

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(RepositoryConnection conn, Resource subject, IRI predicate, Value object, Resource... contexts)`
    `boolean` | `begin(RepositoryConnection conn)`
    `boolean` | `clear(RepositoryConnection conn, Resource... contexts)`
    `boolean` | `clearNamespaces(RepositoryConnection conn)`
    `boolean` | `close(RepositoryConnection conn)`
    `boolean` | `commit(RepositoryConnection conn)`
    `boolean` | `execute(RepositoryConnection conn, QueryLanguage ql, String update, String baseURI, Update operation)`
    `boolean` | `remove(RepositoryConnection conn, Resource subject, IRI predicate, Value object, Resource... contexts)`
    `boolean` | `removeNamespace(RepositoryConnection conn, String prefix)`
    `boolean` | `rollback(RepositoryConnection conn)`
    `boolean` | `setAutoCommit(RepositoryConnection conn, boolean autoCommit)` Deprecated. since 2.0. Use `begin(RepositoryConnection)` instead.
    `boolean` | `setNamespace(RepositoryConnection conn, String prefix, String name)`

- - ### Method Detail

    - #### close

          boolean close(RepositoryConnection conn)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.close()` operation on.
      Returns:
        true if the interceptor has been denied access to the close operation, false otherwise.

    - #### begin

          boolean begin(RepositoryConnection conn)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.begin()` or `RepositoryConnection.begin(org.eclipse.rdf4j.IsolationLevel)` operation on.
      Returns:
        true if the interceptor has been denied access to the begin operation, false otherwise.

    - #### setAutoCommit

          @Deprecated
          boolean setAutoCommit(RepositoryConnection conn,
                                            boolean autoCommit)

      Deprecated. since 2.0. Use `begin(RepositoryConnection)` instead.
      Parameters:
        `conn` - the RepositoryConnection to perform the `setAutoCommit(RepositoryConnection, boolean)`operation on.
        `autoCommit` -
      Returns:
        true if the interceptor has been denied access to the setAutoCommit operation, false otherwise.

    - #### commit

          boolean commit(RepositoryConnection conn)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.commit()` operation on.
      Returns:
        true if the interceptor has been denied access to the commit operation, false otherwise.

    - #### rollback

          boolean rollback(RepositoryConnection conn)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.rollback()` operation on.
      Returns:
        true if the interceptor has been denied access to the rollback operation, false otherwise.

    - #### add

          boolean add(RepositoryConnection conn,
                      Resource subject,
                      IRI predicate,
                      Value object,
                      Resource... contexts)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.add(Resource, IRI, Value, Resource...)` operation on.
      Returns:
        true if the interceptor has been denied access to the add operation, false otherwise.

    - #### remove

          boolean remove(RepositoryConnection conn,
                         Resource subject,
                         IRI predicate,
                         Value object,
                         Resource... contexts)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.remove(Resource, IRI, Value, Resource...)` operation on.
      Returns:
        true if the interceptor has been denied access to the remove operation, false otherwise.

    - #### clear

          boolean clear(RepositoryConnection conn,
                        Resource... contexts)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.clear(Resource...)` operation on.
      Returns:
        true if the interceptor has been denied access to the clear operation, false otherwise.

    - #### setNamespace

          boolean setNamespace(RepositoryConnection conn,
                               String prefix,
                               String name)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.setNamespace(String, String)` operation on.
      Returns:
        true if the interceptor has been denied access to the setNamespace operation, false otherwise.

    - #### removeNamespace

          boolean removeNamespace(RepositoryConnection conn,
                                  String prefix)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.removeNamespace(String)` operation on.
      Returns:
        true if the interceptor has been denied access to the removeNamespace operation, false otherwise.

    - #### clearNamespaces

          boolean clearNamespaces(RepositoryConnection conn)

      Parameters:
        `conn` - the RepositoryConnection to perform the `RepositoryConnection.clearNamespaces()` operation on.
      Returns:
        true if the interceptor has been denied access to the clearNamespaces operation, false otherwise.

    - #### execute

          boolean execute(RepositoryConnection conn,
                          QueryLanguage ql,
                          String update,
                          String baseURI,
                          Update operation)

      Parameters:
        `conn` - the RepositoryConnection to perform the query execution operations on.
      Returns:
        true if the interceptor has been denied access to the query execution operations, false otherwise.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.